
## *** You will need these packages *** ##

## install.packages("devtools")
## install.packages("miceadds")
## install.packages("reprex")
## devtools::install_github("kolesarm/RDHonest")

library(reprex)

remove(list = ls())

require(RDHonest)

## *** Older-to-younger data sets *** ###

load("H:/FKOR/Spillovers/Data/Temp/Nov18/main_older-to-younger-with-scores-rtransfer.rdata")
dataOY = as.data.frame(`main_older-to-younger-with-scores-rtransfer`)

dataOYe <- dataOY[which(dataOY$eFRL == 1), ]
dataOYn <- dataOY[which(dataOY$eFRL == 0), ]

selvarsOY <- c("scorep", "birth_dif_sib")
dataOYt <- dataOY[selvarsOY]
dataOYet <- dataOYe[selvarsOY]
dataOYnt <- dataOYn[selvarsOY]

## *** Younger-to-older data sets *** ###

load(file="H:/FKOR/Spillovers/Data/Temp/Nov18/main_younger-to-older-with-scores-rtransfer.rdata")
dataYO = as.data.frame(`main_younger-to-older-with-scores-rtansfer`)
dataYOe <- dataYO[which(dataYO$eFRL == 1), ]
dataYOn <- dataYO[which(dataYO$eFRL == 0), ]

selvarsYO <- c("scorep", "birth_dif_sib")
dataYOt <- dataYO[selvarsYO]
dataYOet <- dataYOe[selvarsYO]
dataYOnt <- dataYOn[selvarsYO]

## *** Analysis: last row of Table A11 *** ##

## *** Col 1 *** ##
NPR_MROT.fit(LPPData(dataOYt[dataOYt$birth_dif_sib>0, ], point=0))
RDHonest(scorep ~  birth_dif_sib, cutoff = 0, data = dataOY, kern = "uniform", M = 0.002, alpha = 0.05, opt.criterion = "FLCI", sclass = "H")

## *** Col 2 *** ##
NPR_MROT.fit(LPPData(dataYOt[dataYOt$birth_dif_sib>0, ], point=0))
RDHonest(scorep ~  birth_dif_sib, cutoff = 0, data = dataYO, kern = "uniform", M = 0.003, alpha = 0.05, opt.criterion = "FLCI", sclass = "H")

## *** Col 3 *** ##
NPR_MROT.fit(LPPData(dataOYet[dataOYet$birth_dif_sib>0, ], point=0))
RDHonest(scorep ~  birth_dif_sib, cutoff = 0, data = dataOYe, kern = "uniform", M = 0.003, alpha = 0.05, opt.criterion = "FLCI", sclass = "H")

## *** Col 4 *** ##
NPR_MROT.fit(LPPData(dataYOet[dataYOet$birth_dif_sib>0, ], point=0))
RDHonest(scorep ~  birth_dif_sib, cutoff = 0, data = dataYOe, kern = "uniform", M = 0.001, alpha = 0.05, opt.criterion = "FLCI", sclass = "H")

## *** Col 5 *** ##
NPR_MROT.fit(LPPData(dataOYnt[dataOYnt$birth_dif_sib>0, ], point=0))
RDHonest(scorep ~  birth_dif_sib, cutoff = 0, data = dataOYn, kern = "uniform", M = 0.001, alpha = 0.05, opt.criterion = "FLCI", sclass = "H")

## *** Col 6 *** ##
NPR_MROT.fit(LPPData(dataYOnt[dataYOnt$birth_dif_sib>0, ], point=0))
RDHonest(scorep ~  birth_dif_sib, cutoff = 0, data = dataYOn, kern = "uniform", M = 0.003, alpha = 0.05, opt.criterion = "FLCI", sclass = "H")
